Jump to content

Photo

Stella in Ubuntu 18.04


53 replies to this topic

#1 CX40Hero ONLINE  

CX40Hero

    Chopper Commander

  • 105 posts
  • Location:UK

Posted Thu Sep 13, 2018 6:02 AM

ORIGINALLY POSTED ON THE UBUNTU FORUM (BY ME) 

 

 

Good evening, good morning & good afternoon!
I have recently installed Ubuntu 18.04 for the first time and have started playing round with the system and installing the new softwareI require.
VLC, Gimp, OpenShot, Ardour and Audacity all work perfectly fine on the first installation but for some unknown reason I cannot get Stella (Atari 2600 Emulator) to work?
It looks like it installs fine but when I hit run following the download nothing happens, I have tried going into programs and the Stella button is there, but again, if I click on it I get a spinny wheel for a few seconds and then nothing……
Does anyone know what is causing this issue?
I love playing Atari 2600 and I have been running Stella in Windows fine for years….
Please help!

CX40



#2 mr_me OFFLINE  

mr_me

    River Patroller

  • 3,258 posts
  • Location:Ontario

Posted Thu Sep 13, 2018 8:26 AM

From where did you get Stella. Is it the 64-bit version, assuming your os is 64-bit.

#3 CX40Hero ONLINE  

CX40Hero

    Chopper Commander

  • Topic Starter
  • 105 posts
  • Location:UK

Posted Thu Sep 13, 2018 8:28 AM

From where did you get Stella. Is it the 64-bit version, assuming your os is 64-bit.

 

I have tried from both the Ubuntu built in 'store' software finder, and the Stella link on the main AtariAge page, both with the same result :(



#4 alex_79 OFFLINE  

alex_79

    Stargunner

  • 1,171 posts
  • Location:Italy

Posted Thu Sep 13, 2018 8:57 AM

Try starting it from a terminal, to see if you get some error message that can help identify the problem.



#5 CX40Hero ONLINE  

CX40Hero

    Chopper Commander

  • Topic Starter
  • 105 posts
  • Location:UK

Posted Thu Sep 13, 2018 9:03 AM

Try starting it from a terminal, to see if you get some error message that can help identify the problem.

 

Just under 50 minutes left at work then a quick drive home and I'll do just that!

Will post back any findings ASAP :) 



#6 CX40Hero ONLINE  

CX40Hero

    Chopper Commander

  • Topic Starter
  • 105 posts
  • Location:UK

Posted Thu Sep 13, 2018 10:42 AM

david@dday1sc:~$ sudo apt-get install stella
[sudo] password for david:
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  linux-image-3.13.0-158-generic linux-image-extra-3.13.0-158-generic
  qml-module-qtgraphicaleffects qml-module-qtquick-dialogs
  qml-module-qtquick-privatewidgets qml-module-qtwebkit
Use 'sudo apt autoremove' to remove them.
The following NEW packages will be installed
  stella
0 to upgrade, 1 to newly install, 0 to remove and 7 not to upgrade.
Need to get 0 B/1,510 kB of archives.
After this operation, 5,512 kB of additional disk space will be used.
Selecting previously unselected package stella.
(Reading database ... 183894 files and directories currently installed.)
Preparing to unpack .../stella_5.1.1-1_i386.deb ...
Unpacking stella (5.1.1-1) ...
Processing triggers for mime-support (3.60ubuntu1) ...
Processing triggers for desktop-file-utils (0.23-1ubuntu3.18.04.1) ...
Setting up stella (5.1.1-1) ...
Processing triggers for bamfdaemon (0.5.3+18.04.20180207.2-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for doc-base (0.10.8) ...
Processing 1 added doc-base file...
Processing triggers for man-db (2.8.3-2) ...
Processing triggers for gnome-menus (3.13.3-11ubuntu1.1) ...
Processing triggers for hicolor-icon-theme (0.17-2) ...
david@dday1sc:~$ ^C
david@dday1sc:~$
 



#7 CX40Hero ONLINE  

CX40Hero

    Chopper Commander

  • Topic Starter
  • 105 posts
  • Location:UK

Posted Thu Sep 13, 2018 10:43 AM

Stella appears in my list of installed programs, I click on it and nothing happens....... :(



#8 CX40Hero ONLINE  

CX40Hero

    Chopper Commander

  • Topic Starter
  • 105 posts
  • Location:UK

Posted Thu Sep 13, 2018 11:11 AM



#9 CX40Hero ONLINE  

CX40Hero

    Chopper Commander

  • Topic Starter
  • 105 posts
  • Location:UK

Posted Thu Sep 13, 2018 11:17 AM

If I try and run Stella via terminal once its installed I get the following error message:

 

david@dday1sc:~$ stella
ERROR: Couldn't load settings file
dbus[9997]: arguments to dbus_message_new_method_call() were incorrect, assertion "path != NULL" failed in file ../../../dbus/dbus-message.c line 1362.
This is normally a bug in some application using the D-Bus library.

D-Bus not built with -rdynamic so unable to print a backtrace
Aborted (core dumped)
david@dday1sc:~$ ^C
david@dday1sc:~$



#10 RevEng ONLINE  

RevEng

    River Patroller

  • 4,932 posts
  • Bitnik
  • Location:bottom of the stack

Posted Thu Sep 13, 2018 1:50 PM

Based on your error, I'm thinking this bug applies to your case.

If that's right, there's a workaround linked near the top of that page.

#11 CX40Hero ONLINE  

CX40Hero

    Chopper Commander

  • Topic Starter
  • 105 posts
  • Location:UK

Posted Thu Sep 13, 2018 2:49 PM

Unfortunately this did not fix the issue :(

 

david@dday1sc:~$ sudo apt remove --purge libsdl2-2.0-0:i386
[sudo] password for david:
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  blender-data evemu-tools evtest fonts-dejavu fonts-dejavu-extra gdal-data
  joystick libaec0 libarmadillo8 libarpack2 libblosc1 libboost-regex1.65.1
  libcharls1 libdap25 libdapclient6v5 libepsilon1 libevemu3 libfreexl1
  libfyba0 libgdal20 libgdcm2.8 libgeos-3.6.2 libgeos-c1v5 libgeotiff2
  libglew2.0 libhdf4-0-alt libhdf5-100 libjemalloc1 libkmlbase1 libkmldom1
  libkmlengine1 liblog4cplus-1.1-9 libminizip1 libmysqlclient20 libnetcdf13
  libodbc1 libogdi3.2 libopencolorio1v5 libopencv-core3.2
  libopencv-imgcodecs3.2 libopencv-imgproc3.2 libopencv-videoio3.2
  libopenimageio1.7 libopenvdb5.0 libpq5 libproj12 libqhull7 libsocket++1
  libspatialite7 libspnav0 libsuperlu5 libsz2 libtbb2 libtinyxml2.6.2v5
  liburiparser1 libxerces-c3.2 libyaml-cpp0.5v5 linux-image-3.13.0-158-generic
  linux-image-extra-3.13.0-158-generic mysql-common odbcinst odbcinst1debian2
  proj-bin proj-data qml-module-qtgraphicaleffects qml-module-qtquick-dialogs
  qml-module-qtquick-privatewidgets qml-module-qtwebkit
Use 'sudo apt autoremove' to remove them.
The following packages will be REMOVED
  ardour-video-timeline* blender* ffmpeg* libavdevice57* libsdl2-2.0-0*
  stella*
0 to upgrade, 0 to newly install, 6 to remove and 7 not to upgrade.
After this operation, 101 MB disk space will be freed.
Do you want to continue? [Y/n] y
(Reading database ... 184125 files and directories currently installed.)
Removing ardour-video-timeline (1:5.12.0-3) ...
Removing blender (2.79.b+dfsg0-1) ...
Removing ffmpeg (7:3.4.4-0ubuntu0.18.04.1) ...
Removing libavdevice57:i386 (7:3.4.4-0ubuntu0.18.04.1) ...
Removing stella (5.1.3-1) ...
Removing libsdl2-2.0-0:i386 (2.0.8+dfsg1-1ubuntu1.18.04.1) ...
Processing triggers for mime-support (3.60ubuntu1) ...
Processing triggers for desktop-file-utils (0.23-1ubuntu3.18.04.1) ...
Processing triggers for bamfdaemon (0.5.3+18.04.20180207.2-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for libc-bin (2.27-3ubuntu1) ...
Processing triggers for man-db (2.8.3-2) ...
Processing triggers for gnome-menus (3.13.3-11ubuntu1.1) ...
Processing triggers for hicolor-icon-theme (0.17-2) ...
(Reading database ... 183972 files and directories currently installed.)
Purging configuration files for ffmpeg (7:3.4.4-0ubuntu0.18.04.1) ...
david@dday1sc:~$ sudo apt-add-repository "deb http://ru.archive.ubuntu.com/ubuntu/xenial main restricted universe"
Get:1 http://security.ubuntu.com/ubuntubionic-security InRelease [83.2 kB]
Hit:2 http://gb.archive.ubuntu.com/ubuntubionic InRelease                     
Get:3 http://gb.archive.ubuntu.com/ubuntubionic-updates InRelease [88.7 kB]   
Ign:4 http://archive.canonical.com/ubuntutrusty InRelease                     
Get:5 http://ru.archive.ubuntu.com/ubuntuxenial InRelease [247 kB]            
Hit:6 http://archive.canonical.com/ubuntutrusty Release                       
Get:8 http://security.ubuntu.com/ubuntubionic-security/main Sources [47.0 kB]
Get:9 http://security.ubuntu.com/ubuntubionic-security/main i386 Packages [132 kB]
Get:10 http://security.ubuntu.com/ubuntubionic-security/main i386 DEP-11 Metadata [204 B]
Get:11 http://security.ubuntu.com/ubuntubionic-security/universe i386 Packages [66.5 kB]
Get:12 http://gb.archive.ubuntu.com/ubuntubionic-backports InRelease [74.6 kB]
Get:13 http://security.ubuntu.com/ubuntubionic-security/universe i386 DEP-11 Metadata [6,824 B]
Get:14 http://security.ubuntu.com/ubuntubionic-security/universe DEP-11 48x48 Icons [9,090 B]
Get:15 http://gb.archive.ubuntu.com/ubuntubionic-updates/main Sources [166 kB]
Get:16 http://ru.archive.ubuntu.com/ubuntuxenial/main i386 Packages [1,196 kB]
Get:17 http://gb.archive.ubuntu.com/ubuntubionic-updates/main i386 Packages [286 kB]
Get:18 http://gb.archive.ubuntu.com/ubuntubionic-updates/main i386 DEP-11 Metadata [139 kB]
Get:19 http://gb.archive.ubuntu.com/ubuntubionic-updates/main DEP-11 48x48 Icons [31.4 kB]
Get:20 http://gb.archive.ubuntu.com/ubuntubionic-updates/main DEP-11 64x64 Icons [56.9 kB]
Get:21 http://gb.archive.ubuntu.com/ubuntubionic-updates/universe i386 Packages [192 kB]
Get:22 http://gb.archive.ubuntu.com/ubuntubionic-updates/universe i386 DEP-11 Metadata [166 kB]
Get:23 http://ru.archive.ubuntu.com/ubuntuxenial/main Translation-en [568 kB]
Get:24 http://gb.archive.ubuntu.com/ubuntubionic-updates/universe DEP-11 48x48 Icons [167 kB]
Get:25 http://gb.archive.ubuntu.com/ubuntubionic-updates/universe DEP-11 64x64 Icons [284 kB]
Get:26 http://gb.archive.ubuntu.com/ubuntubionic-updates/multiverse i386 Packages [4,360 B]
Get:27 http://gb.archive.ubuntu.com/ubuntubionic-updates/multiverse i386 DEP-11 Metadata [2,468 B]
Get:28 http://gb.archive.ubuntu.com/ubuntubionic-backports/universe i386 DEP-11 Metadata [5,096 B]
Get:29 http://ru.archive.ubuntu.com/ubuntuxenial/main Translation-en_GB [426 kB]
Get:30 http://ru.archive.ubuntu.com/ubuntuxenial/main i386 DEP-11 Metadata [733 kB]
Get:31 http://ru.archive.ubuntu.com/ubuntuxenial/main DEP-11 64x64 Icons [409 kB]
Get:32 http://ru.archive.ubuntu.com/ubuntuxenial/restricted i386 Packages [8,684 B]
Get:33 http://ru.archive.ubuntu.com/ubuntuxenial/restricted Translation-en [2,908 B]
Get:34 http://ru.archive.ubuntu.com/ubuntuxenial/restricted Translation-en_GB [2,556 B]
Get:35 http://ru.archive.ubuntu.com/ubuntuxenial/restricted i386 DEP-11 Metadata [185 B]
Get:36 http://ru.archive.ubuntu.com/ubuntuxenial/universe i386 Packages [7,512 kB]
Get:37 http://ru.archive.ubuntu.com/ubuntuxenial/universe Translation-en [4,354 kB]
Get:38 http://ru.archive.ubuntu.com/ubuntuxenial/universe Translation-en_GB [3,040 kB]
Get:39 http://ru.archive.ubuntu.com/ubuntuxenial/universe i386 DEP-11 Metadata [3,407 kB]
Get:40 http://ru.archive.ubuntu.com/ubuntuxenial/universe DEP-11 64x64 Icons [7,448 kB]
Fetched 31.4 MB in 5min 0s (105 kB/s)                                          
Reading package lists... Done
david@dday1sc:~$ sudo art-get update
sudo: art-get: command not found
david@dday1sc:~$ sudo apt-get update
Hit:1 http://gb.archive.ubuntu.com/ubuntubionic InRelease
Get:2 http://gb.archive.ubuntu.com/ubuntubionic-updates InRelease [88.7 kB]   
Ign:3 http://archive.canonical.com/ubuntutrusty InRelease                     
Get:4 http://security.ubuntu.com/ubuntubionic-security InRelease [83.2 kB]    
Hit:5 http://ru.archive.ubuntu.com/ubuntuxenial InRelease                     
Hit:6 http://archive.canonical.com/ubuntutrusty Release                       
Get:8 http://gb.archive.ubuntu.com/ubuntubionic-backports InRelease [74.6 kB]
Get:9 http://security.ubuntu.com/ubuntubionic-security/main i386 DEP-11 Metadata [204 B]
Get:10 http://security.ubuntu.com/ubuntubionic-security/universe i386 DEP-11 Metadata [6,820 B]
Get:11 http://security.ubuntu.com/ubuntubionic-security/universe DEP-11 48x48 Icons [9,088 B]
Get:12 http://security.ubuntu.com/ubuntubionic-security/universe DEP-11 64x64 Icons [11.3 kB]
Get:13 http://gb.archive.ubuntu.com/ubuntubionic-updates/main i386 Packages [286 kB]
Get:14 http://gb.archive.ubuntu.com/ubuntubionic-updates/main i386 DEP-11 Metadata [139 kB]
Get:15 http://gb.archive.ubuntu.com/ubuntubionic-updates/main DEP-11 48x48 Icons [31.4 kB]
Get:16 http://gb.archive.ubuntu.com/ubuntubionic-updates/main DEP-11 64x64 Icons [56.9 kB]
Get:17 http://gb.archive.ubuntu.com/ubuntubionic-updates/universe i386 Packages [192 kB]
Get:18 http://gb.archive.ubuntu.com/ubuntubionic-updates/universe i386 DEP-11 Metadata [166 kB]
Get:19 http://gb.archive.ubuntu.com/ubuntubionic-updates/universe DEP-11 48x48 Icons [164 kB]
Get:20 http://gb.archive.ubuntu.com/ubuntubionic-updates/universe DEP-11 64x64 Icons [279 kB]
Get:21 http://gb.archive.ubuntu.com/ubuntubionic-updates/multiverse i386 Packages [4,360 B]
Get:22 http://gb.archive.ubuntu.com/ubuntubionic-updates/multiverse i386 DEP-11 Metadata [2,468 B]
Get:23 http://gb.archive.ubuntu.com/ubuntubionic-backports/universe i386 DEP-11 Metadata [5,100 B]
Fetched 1,600 kB in 21s (74.9 kB/s)                                            
Reading package lists... Done
david@dday1sc:~$  apt-cache madison libsdl2-2.0-0:i386
libsdl2-2.0-0 | 2.0.8+dfsg1-1ubuntu1.18.04.1 | http://gb.archive.ubuntu.com/ubuntubionic-updates/universe i386 Packages
libsdl2-2.0-0 | 2.0.8+dfsg1-1ubuntu1 | http://gb.archive.ubuntu.com/ubuntubionic/universe i386 Packages
libsdl2-2.0-0 | 2.0.4+dfsg1-2ubuntu2 | http://ru.archive.ubuntu.com/ubuntuxenial/universe i386 Packages
david@dday1sc:~$ sudo apt install libsdl2-2.0-0:i386=2.0.4+dfsg1-2ubuntu2
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  blender-data evemu-tools evtest fonts-dejavu fonts-dejavu-extra gdal-data
  joystick libaec0 libarmadillo8 libarpack2 libblosc1 libboost-regex1.65.1
  libcharls1 libdap25 libdapclient6v5 libepsilon1 libevemu3 libfreexl1
  libfyba0 libgdal20 libgdcm2.8 libgeos-3.6.2 libgeos-c1v5 libgeotiff2
  libglew2.0 libhdf4-0-alt libhdf5-100 libjemalloc1 libkmlbase1 libkmldom1
  libkmlengine1 liblog4cplus-1.1-9 libminizip1 libmysqlclient20 libnetcdf13
  libodbc1 libogdi3.2 libopencolorio1v5 libopencv-core3.2
  libopencv-imgcodecs3.2 libopencv-imgproc3.2 libopencv-videoio3.2
  libopenimageio1.7 libopenvdb5.0 libpq5 libproj12 libqhull7 libsocket++1
  libspatialite7 libspnav0 libsuperlu5 libsz2 libtbb2 libtinyxml2.6.2v5
  liburiparser1 libxerces-c3.2 libyaml-cpp0.5v5 linux-image-3.13.0-158-generic
  linux-image-extra-3.13.0-158-generic mysql-common odbcinst odbcinst1debian2
  proj-bin proj-data qml-module-qtgraphicaleffects qml-module-qtquick-dialogs
  qml-module-qtquick-privatewidgets qml-module-qtwebkit
Use 'sudo apt autoremove' to remove them.
The following NEW packages will be installed
  libsdl2-2.0-0
0 to upgrade, 1 to newly install, 0 to remove and 9 not to upgrade.
Need to get 369 kB of archives.
After this operation, 1,252 kB of additional disk space will be used.
Get:1 http://ru.archive.ubuntu.com/ubuntuxenial/universe i386 libsdl2-2.0-0 i386 2.0.4+dfsg1-2ubuntu2 [369 kB]
Fetched 369 kB in 12s (30.3 kB/s)                                              
Selecting previously unselected package libsdl2-2.0-0:i386.
(Reading database ... 183972 files and directories currently installed.)
Preparing to unpack .../libsdl2-2.0-0_2.0.4+dfsg1-2ubuntu2_i386.deb ...
Unpacking libsdl2-2.0-0:i386 (2.0.4+dfsg1-2ubuntu2) ...
Processing triggers for libc-bin (2.27-3ubuntu1) ...
Setting up libsdl2-2.0-0:i386 (2.0.4+dfsg1-2ubuntu2) ...
Processing triggers for libc-bin (2.27-3ubuntu1) ...
david@dday1sc:~$ sudo apt-get install stella
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  blender-data fonts-dejavu fonts-dejavu-extra gdal-data libaec0 libarmadillo8
  libarpack2 libblosc1 libboost-regex1.65.1 libcharls1 libdap25
  libdapclient6v5 libepsilon1 libfreexl1 libfyba0 libgdal20 libgdcm2.8
  libgeos-3.6.2 libgeos-c1v5 libgeotiff2 libglew2.0 libhdf4-0-alt libhdf5-100
  libjemalloc1 libkmlbase1 libkmldom1 libkmlengine1 liblog4cplus-1.1-9
  libminizip1 libmysqlclient20 libnetcdf13 libodbc1 libogdi3.2
  libopencolorio1v5 libopencv-core3.2 libopencv-imgcodecs3.2
  libopencv-imgproc3.2 libopencv-videoio3.2 libopenimageio1.7 libopenvdb5.0
  libpq5 libproj12 libqhull7 libsocket++1 libspatialite7 libspnav0 libsuperlu5
  libsz2 libtbb2 libtinyxml2.6.2v5 liburiparser1 libxerces-c3.2
  libyaml-cpp0.5v5 linux-image-3.13.0-158-generic
  linux-image-extra-3.13.0-158-generic mysql-common odbcinst odbcinst1debian2
  proj-bin proj-data qml-module-qtgraphicaleffects qml-module-qtquick-dialogs
  qml-module-qtquick-privatewidgets qml-module-qtwebkit
Use 'sudo apt autoremove' to remove them.
The following additional packages will be installed:
  libsdl2-2.0-0
The following NEW packages will be installed
  stella
The following packages will be upgraded:
  libsdl2-2.0-0
1 to upgrade, 1 to newly install, 0 to remove and 9 not to upgrade.
Need to get 0 B/1,894 kB of archives.
After this operation, 5,539 kB of additional disk space will be used.
Do you want to continue? [Y/n] y
(Reading database ... 183981 files and directories currently installed.)
Preparing to unpack .../libsdl2-2.0-0_2.0.8+dfsg1-1ubuntu1.18.04.1_i386.deb ...
Unpacking libsdl2-2.0-0:i386 (2.0.8+dfsg1-1ubuntu1.18.04.1) over (2.0.4+dfsg1-2ubuntu2) ...
Selecting previously unselected package stella.
Preparing to unpack .../stella_5.1.1-1_i386.deb ...
Unpacking stella (5.1.1-1) ...
Processing triggers for mime-support (3.60ubuntu1) ...
Processing triggers for desktop-file-utils (0.23-1ubuntu3.18.04.1) ...
Processing triggers for bamfdaemon (0.5.3+18.04.20180207.2-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for libc-bin (2.27-3ubuntu1) ...
Setting up libsdl2-2.0-0:i386 (2.0.8+dfsg1-1ubuntu1.18.04.1) ...
Processing triggers for doc-base (0.10.8) ...
Processing 1 added doc-base file...
Processing triggers for man-db (2.8.3-2) ...
Processing triggers for gnome-menus (3.13.3-11ubuntu1.1) ...
Processing triggers for hicolor-icon-theme (0.17-2) ...
Setting up stella (5.1.1-1) ...
Processing triggers for libc-bin (2.27-3ubuntu1) ...
david@dday1sc:~$ stella
ERROR: Couldn't load settings file
dbus[13202]: arguments to dbus_message_new_method_call() were incorrect, assertion "path != NULL" failed in file ../../../dbus/dbus-message.c line 1362.
This is normally a bug in some application using the D-Bus library.

  D-Bus not built with -rdynamic so unable to print a backtrace
Aborted (core dumped)
david@dday1sc:~$ sudo apt-get update
Hit:1 http://security.ubuntu.com/ubuntubionic-security InRelease
Hit:2 http://gb.archive.ubuntu.com/ubuntubionic InRelease          
Ign:3 http://archive.canonical.com/ubuntutrusty InRelease          
Hit:4 http://gb.archive.ubuntu.com/ubuntubionic-updates InRelease             
Hit:5 http://archive.canonical.com/ubuntutrusty Release                       
Hit:6 http://ru.archive.ubuntu.com/ubuntuxenial InRelease                     
Hit:7 http://gb.archive.ubuntu.com/ubuntubionic-backports InRelease     
Reading package lists... Done                      
david@dday1sc:~$ stella
ERROR: Couldn't load settings file
dbus[13560]: arguments to dbus_message_new_method_call() were incorrect, assertion "path != NULL" failed in file ../../../dbus/dbus-message.c line 1362.
This is normally a bug in some application using the D-Bus library.

  D-Bus not built with -rdynamic so unable to print a backtrace
Aborted (core dumped)
david@dday1sc:~$ ^C
david@dday1sc:~$
 



#12 CX40Hero ONLINE  

CX40Hero

    Chopper Commander

  • Topic Starter
  • 105 posts
  • Location:UK

Posted Thu Sep 13, 2018 2:52 PM

Still get the same error message:

 

david@dday1sc:~$ stella
ERROR: Couldn't load settings file
dbus[13868]: arguments to dbus_message_new_method_call() were incorrect, assertion "path != NULL" failed in file ../../../dbus/dbus-message.c line 1362.
This is normally a bug in some application using the D-Bus library.

  D-Bus not built with -rdynamic so unable to print a backtrace
Aborted (core dumped)
david@dday1sc:~$



#13 mr_me OFFLINE  

mr_me

    River Patroller

  • 3,258 posts
  • Location:Ontario

Posted Thu Sep 13, 2018 3:00 PM

Do you have SDL installed; 64-bit if your os is 64-bit.

#14 CX40Hero ONLINE  

CX40Hero

    Chopper Commander

  • Topic Starter
  • 105 posts
  • Location:UK

Posted Thu Sep 13, 2018 3:13 PM

Do you have SDL installed; 64-bit if your os is 64-bit.

 

I do buddy



#15 CX40Hero ONLINE  

CX40Hero

    Chopper Commander

  • Topic Starter
  • 105 posts
  • Location:UK

Posted Thu Sep 13, 2018 3:15 PM

Maybe I should just wait for the Beta for the new version...... or dare I say it, reinstall Windows 10........ Nah!



#16 CX40Hero ONLINE  

CX40Hero

    Chopper Commander

  • Topic Starter
  • 105 posts
  • Location:UK

Posted Thu Sep 13, 2018 3:26 PM

Okay... and breath... (this is really getting on my wick!).....

Lets uninstall Stella, update the system in terminal then reinstall stella and see what that does.....

 

david@dday1sc:~$ sudo apt-get update
Ign:1 http://archive.canonical.com/ubuntutrusty InRelease
Hit:2 http://archive.canonical.com/ubuntutrusty Release                       
Hit:3 http://gb.archive.ubuntu.com/ubuntubionic InRelease                     
Hit:4 http://security.ubuntu.com/ubuntubionic-security InRelease   
Hit:5 http://gb.archive.ubuntu.com/ubuntubionic-updates InRelease       
Hit:6 http://ru.archive.ubuntu.com/ubuntuxenial InRelease               
Hit:7 http://gb.archive.ubuntu.com/ubuntubionic-backports InRelease
Reading package lists... Done                      
david@dday1sc:~$ sudo apt-get install stella
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  blender-data fonts-dejavu fonts-dejavu-extra gdal-data libaec0 libarmadillo8
  libarpack2 libblosc1 libboost-regex1.65.1 libcharls1 libdap25
  libdapclient6v5 libepsilon1 libfreexl1 libfyba0 libgdal20 libgdcm2.8
  libgeos-3.6.2 libgeos-c1v5 libgeotiff2 libglew2.0 libhdf4-0-alt libhdf5-100
  libjemalloc1 libjpeg9 libkmlbase1 libkmldom1 libkmlengine1
  liblog4cplus-1.1-9 libminizip1 libmysqlclient20 libnetcdf13 libodbc1
  libogdi3.2 libopencolorio1v5 libopencv-core3.2 libopencv-imgcodecs3.2
  libopencv-imgproc3.2 libopencv-videoio3.2 libopenimageio1.7 libopenvdb5.0
  libpq5 libproj12 libqhull7 libsocket++1 libspatialite7 libspnav0 libsuperlu5
  libsz2 libtbb2 libtinyxml2.6.2v5 liburiparser1 libxerces-c3.2
  libyaml-cpp0.5v5 linux-image-3.13.0-158-generic
  linux-image-extra-3.13.0-158-generic mysql-common odbcinst odbcinst1debian2
  proj-bin proj-data qml-module-qtgraphicaleffects qml-module-qtquick-dialogs
  qml-module-qtquick-privatewidgets qml-module-qtwebkit
Use 'sudo apt autoremove' to remove them.
The following NEW packages will be installed
  stella
0 to upgrade, 1 to newly install, 0 to remove and 9 not to upgrade.
Need to get 0 B/1,510 kB of archives.
After this operation, 5,512 kB of additional disk space will be used.
Selecting previously unselected package stella.
(Reading database ... 189528 files and directories currently installed.)
Preparing to unpack .../stella_5.1.1-1_i386.deb ...
Unpacking stella (5.1.1-1) ...
Processing triggers for mime-support (3.60ubuntu1) ...
Processing triggers for desktop-file-utils (0.23-1ubuntu3.18.04.1) ...
Setting up stella (5.1.1-1) ...
Processing triggers for bamfdaemon (0.5.3+18.04.20180207.2-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for doc-base (0.10.8) ...
Processing 1 added doc-base file...
Processing triggers for man-db (2.8.3-2) ...
Processing triggers for gnome-menus (3.13.3-11ubuntu1.1) ...
Processing triggers for hicolor-icon-theme (0.17-2) ...
david@dday1sc:~$ ^C
david@dday1sc:~$



#17 CX40Hero ONLINE  

CX40Hero

    Chopper Commander

  • Topic Starter
  • 105 posts
  • Location:UK

Posted Thu Sep 13, 2018 3:27 PM

NOPE!

 

david@dday1sc:~$ stella
ERROR: Couldn't load settings file
dbus[22556]: arguments to dbus_message_new_method_call() were incorrect, assertion "path != NULL" failed in file ../../../dbus/dbus-message.c line 1362.
This is normally a bug in some application using the D-Bus library.

  D-Bus not built with -rdynamic so unable to print a backtrace
Aborted (core dumped)
david@dday1sc:~$



#18 RevEng ONLINE  

RevEng

    River Patroller

  • 4,932 posts
  • Bitnik
  • Location:bottom of the stack

Posted Thu Sep 13, 2018 3:38 PM

Yeah, it looks like when you installed stella, apt noticed your sdl2 wasn't the latest and updated to the buggy sdl2. Try re-running "sudo apt install libsdl2-2.0-0:i386=2.0.4+dfsg1-2ubuntu2".

If stella works after that, you can hold the package from updating in the future with "sudo apt-mark hold libsdl2-2.0-0". (and when the bug gets fixed, unhold with "sudo apt-mark unhold libsdl2-2.0-0)

#19 CX40Hero ONLINE  

CX40Hero

    Chopper Commander

  • Topic Starter
  • 105 posts
  • Location:UK

Posted Thu Sep 13, 2018 3:46 PM

It still doesn't want to play :(

 

david@dday1sc:~$ sudo apt install libsdl2-2.0-0:i386=2.0.4+dfsg1-2ubuntu2
[sudo] password for david:
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  evemu-tools evtest joystick libcapnp-0.6.1 libegl1-mesa-dev libevemu3
  libgles2-mesa-dev libibus-1.0-dev libice-dev libmirclient-dev libmirclient9
  libmircommon-dev libmircommon7 libmircookie-dev libmircookie2 libmircore-dev
  libmircore1 libmirprotobuf3 libprotobuf-dev libsm-dev libsndio-dev
  libudev-dev libwayland-bin libwayland-dev libxcursor-dev libxi-dev
  libxinerama-dev libxkbcommon-dev libxrandr-dev libxrender-dev libxss-dev
  libxt-dev libxv-dev x11proto-randr-dev x11proto-scrnsaver-dev
  x11proto-xinerama-dev
Use 'sudo apt autoremove' to remove them.
The following packages will be REMOVED
  libsdl2-dev libsdl2-image-2.0-0 libsdl2-image-dev libsdl2-mixer-2.0-0
  libsdl2-mixer-dev libsdl2-ttf-dev stella
The following packages will be DOWNGRADED:
  libsdl2-2.0-0
0 to upgrade, 0 to newly install, 1 to downgrade, 7 to remove and 9 not to upgrade.
Need to get 369 kB of archives.
After this operation, 10.4 MB disk space will be freed.
Do you want to continue? [Y/n] y
Get:1 http://ru.archive.ubuntu.com/ubuntuxenial/universe i386 libsdl2-2.0-0 i386 2.0.4+dfsg1-2ubuntu2 [369 kB]
Fetched 369 kB in 4s (99.6 kB/s)        
(Reading database ... 182131 files and directories currently installed.)
Removing libsdl2-ttf-dev:i386 (2.0.14+dfsg1-2) ...
Removing libsdl2-mixer-dev:i386 (2.0.2+dfsg1-2) ...
Removing libsdl2-image-dev:i386 (2.0.3+dfsg1-1) ...
Removing libsdl2-image-2.0-0:i386 (2.0.3+dfsg1-1) ...
Removing libsdl2-mixer-2.0-0:i386 (2.0.2+dfsg1-2) ...
Removing stella (5.1.1-1) ...
Removing libsdl2-dev:i386 (2.0.8+dfsg1-1ubuntu1.18.04.1) ...
dpkg: warning: downgrading libsdl2-2.0-0:i386 from 2.0.8+dfsg1-1ubuntu1.18.04.1 to 2.0.4+dfsg1-2ubuntu2
(Reading database ... 181905 files and directories currently installed.)
Preparing to unpack .../libsdl2-2.0-0_2.0.4+dfsg1-2ubuntu2_i386.deb ...
Unpacking libsdl2-2.0-0:i386 (2.0.4+dfsg1-2ubuntu2) over (2.0.8+dfsg1-1ubuntu1.18.04.1) ...
Processing triggers for mime-support (3.60ubuntu1) ...
Processing triggers for desktop-file-utils (0.23-1ubuntu3.18.04.1) ...
Processing triggers for bamfdaemon (0.5.3+18.04.20180207.2-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for libc-bin (2.27-3ubuntu1) ...
Setting up libsdl2-2.0-0:i386 (2.0.4+dfsg1-2ubuntu2) ...
Processing triggers for doc-base (0.10.8) ...
Processing 1 removed doc-base file...
Processing triggers for man-db (2.8.3-2) ...
Processing triggers for gnome-menus (3.13.3-11ubuntu1.1) ...
Processing triggers for hicolor-icon-theme (0.17-2) ...
Processing triggers for libc-bin (2.27-3ubuntu1) ...
david@dday1sc:~$ stella
bash: /usr/bin/stella: No such file or directory
david@dday1sc:~$ sudo apt-get install stella
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  libcapnp-0.6.1 libegl1-mesa-dev libgles2-mesa-dev libibus-1.0-dev libice-dev
  libmirclient-dev libmirclient9 libmircommon-dev libmircommon7
  libmircookie-dev libmircookie2 libmircore-dev libmircore1 libmirprotobuf3
  libprotobuf-dev libsm-dev libsndio-dev libudev-dev libwayland-bin
  libwayland-dev libxcursor-dev libxi-dev libxinerama-dev libxkbcommon-dev
  libxrandr-dev libxrender-dev libxss-dev libxt-dev libxv-dev
  x11proto-randr-dev x11proto-scrnsaver-dev x11proto-xinerama-dev
Use 'sudo apt autoremove' to remove them.
The following additional packages will be installed:
  libsdl2-2.0-0
The following NEW packages will be installed
  stella
The following packages will be upgraded:
  libsdl2-2.0-0
1 to upgrade, 1 to newly install, 0 to remove and 9 not to upgrade.
Need to get 0 B/1,894 kB of archives.
After this operation, 5,539 kB of additional disk space will be used.
Do you want to continue? [Y/n] y
(Reading database ... 181905 files and directories currently installed.)
Preparing to unpack .../libsdl2-2.0-0_2.0.8+dfsg1-1ubuntu1.18.04.1_i386.deb ...
Unpacking libsdl2-2.0-0:i386 (2.0.8+dfsg1-1ubuntu1.18.04.1) over (2.0.4+dfsg1-2ubuntu2) ...
Selecting previously unselected package stella.
Preparing to unpack .../stella_5.1.1-1_i386.deb ...
Unpacking stella (5.1.1-1) ...
Processing triggers for mime-support (3.60ubuntu1) ...
Processing triggers for desktop-file-utils (0.23-1ubuntu3.18.04.1) ...
Processing triggers for bamfdaemon (0.5.3+18.04.20180207.2-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for libc-bin (2.27-3ubuntu1) ...
Setting up libsdl2-2.0-0:i386 (2.0.8+dfsg1-1ubuntu1.18.04.1) ...
Processing triggers for doc-base (0.10.8) ...
Processing 1 added doc-base file...
Processing triggers for man-db (2.8.3-2) ...
Processing triggers for gnome-menus (3.13.3-11ubuntu1.1) ...
Processing triggers for hicolor-icon-theme (0.17-2) ...
Setting up stella (5.1.1-1) ...
Processing triggers for libc-bin (2.27-3ubuntu1) ...
david@dday1sc:~$ stella
ERROR: Couldn't load settings file
dbus[27857]: arguments to dbus_message_new_method_call() were incorrect, assertion "path != NULL" failed in file ../../../dbus/dbus-message.c line 1362.
This is normally a bug in some application using the D-Bus library.

  D-Bus not built with -rdynamic so unable to print a backtrace
Aborted (core dumped)
david@dday1sc:~$
 



#20 RevEng ONLINE  

RevEng

    River Patroller

  • 4,932 posts
  • Bitnik
  • Location:bottom of the stack

Posted Thu Sep 13, 2018 3:49 PM

it updated to the buggy sdl2 again, because you reinstalled stella. Notice this bit of output when you install stella...

The following NEW packages will be installed
stella
The following packages will be upgraded:
libsdl2-2.0-0

Don't remove anything. You just need to leave stella installed, and re-install the older sdl2. Then try running stella.



#21 CX40Hero ONLINE  

CX40Hero

    Chopper Commander

  • Topic Starter
  • 105 posts
  • Location:UK

Posted Thu Sep 13, 2018 4:34 PM

Okay, this is getting strange, I have Stella installed as you can see in the vid.

I run sudo apt install libsdl2-2.0-0:i386=2.0.4+dfsg1-2ubuntu2    then Stella disappears!

 



#22 RevEng ONLINE  

RevEng

    River Patroller

  • 4,932 posts
  • Bitnik
  • Location:bottom of the stack

Posted Thu Sep 13, 2018 4:42 PM

 Ok, I see that is removed stella during the sdl2 downgrade. I didn't expect that, but downgrading packages isn't something I do every day.

 
Try this... (you can skip the first step if you didn't try to install stella again, after the last attempt)
 
sudo apt install libsdl2-2.0-0:i386=2.0.4+dfsg1-2ubuntu2
sudo apt-mark hold libsdl2-2.0-0
sudo apt-get install stella


#23 CX40Hero ONLINE  

CX40Hero

    Chopper Commander

  • Topic Starter
  • 105 posts
  • Location:UK

Posted Thu Sep 13, 2018 4:57 PM



#24 CX40Hero ONLINE  

CX40Hero

    Chopper Commander

  • Topic Starter
  • 105 posts
  • Location:UK

Posted Thu Sep 13, 2018 5:15 PM

Thanks for all the help RevEng but I think this (ME) might be a bit of a lost cause!



#25 RevEng ONLINE  

RevEng

    River Patroller

  • 4,932 posts
  • Bitnik
  • Location:bottom of the stack

Posted Thu Sep 13, 2018 5:19 PM

Ok, looks like the maintainer of the stella package has set a requirement that it can't be installed with any sdl2 version older than 2.0.7. So basically they've blocked the ability to work-around the issue. :(

Your options would be to either a) wait for this bug to be fixed, b) force-install stella with the older sdl2 in place, or c) build from source. (probably a bit involved for someone new to Ubuntu)

(b) is usually a very bad thing to do, but stella doesn't have anything that depends on it, so it's not really a big deal in this case.

Let me know what you want to do. I understand if you've had your fill of trying to work around this.




0 user(s) are browsing this forum

0 members, 0 guests, 0 anonymous users